This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.103. __nv_fast_fdividef

Prototype:

    float @__nv_fast_fdividef(float %x, float %y)

Description:

Calculate the fast approximate division of `x` by `y`.

Returns:

Returns `x` / `y`.

- __nv_fast_fdividef( ∞ , `y`) returns NaN for 2 126 < y < 2 128 .

- __nv_fast_fdividef(`x`, `y`) returns 0 for 2 126 < y < 2 128 and x ≠ ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.2, Table 9.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes